#!/bin/bash

# make symlink for dbx package
ln -sf $SETUP_INSTALLPATH/bin/dcldbdbx.so.6.0 $SETUP_INSTALLPATH/bin/dcldbdbx.so.6
ln -sf $SETUP_INSTALLPATH/bin/libsqlib.so.1.0 $SETUP_INSTALLPATH/bin/libsqlib.so.1
ln -sf $SETUP_INSTALLPATH/bin/libsqlmy.so.1.0 $SETUP_INSTALLPATH/bin/libsqlmy.so.1
ln -sf $SETUP_INSTALLPATH/bin/libsqlora.so.1.0 $SETUP_INSTALLPATH/bin/libsqlora.so.1
ln -sf $SETUP_INSTALLPATH/bin/libsqldb2.so.1.0 $SETUP_INSTALLPATH/bin/libsqldb2.so.1
ln -sf $SETUP_INSTALLPATH/bin/dbxres.en.1.0 $SETUP_INSTALLPATH/bin/dbxres.en.1

# move config files
if test -d ~/.borland; then
    if test -e ~/.borland/dbxdrivers; then
	rm $SETUP_INSTALLPATH/bin/dbxdrivers
    else
	mv $SETUP_INSTALLPATH/bin/dbxdrivers ~/.borland/
    fi
    if test -e ~/.borland/dbxconnections; then
	rm $SETUP_INSTALLPATH/bin/dbxconnections
    else
	mv $SETUP_INSTALLPATH/bin/dbxconnections ~/.borland/
    fi
else
    mkdir ~/.borland
    mv $SETUP_INSTALLPATH/bin/dbxdrivers ~/.borland/
    mv $SETUP_INSTALLPATH/bin/dbxconnections ~/.borland/
fi

# if root, then copy the files to /usr/local/etc as well
userid=`id -u`
if [ "$userid" = "0" ]; then
    if [ ! -d /usr/local ]; then
	mkdir /usr/local
    fi
    if [ ! -d /usr/local/etc ]; then
	mkdir /usr/local/etc
    fi
    if [ ! -e /usr/local/etc/dbxdrivers.conf ]; then
	cp ~/.borland/dbxdrivers /usr/local/etc/dbxdrivers.conf
    fi
    if [ ! -e /usr/local/etc/dbxconnections.conf ]; then
	cp ~/.borland/dbxconnections /usr/local/etc/dbxconnections.conf
    fi
fi

# add it to the IDE
if [ -e setup.data/inimerge ]; then
    inimerge="$HOME/.inimerge$$"
    cp "setup.data/inimerge" "$inimerge"
    chmod 700 "$inimerge"
    . $SETUP_INSTALLPATH/bin/kylixpath $SETUP_INSTALLPATH >/dev/null
    `$inimerge "$HOME/.borland/delphi60rc" "Known Packages" "$SETUP_INSTALLPATH/bin/dcldbdbx.so.6" "dbExpress"`
    userid=`id -u`
    if [ "$userid" = "0" -a -e /usr/local/etc/delphi60rc.conf ]; then
	`$inimerge "/usr/local/etc/delphi60rc.conf" "Known Packages" "$SETUP_INSTALLPATH/bin/dcldbdbx.so.6" "dbExpress"`
    fi
    rm -f $inimerge
fi
